Files
CouchPotatoServer/init/ubuntu
T
dfiore1230 bba18d8bc9 added the ability to source /etc/default/couchpotato file
added the ability to source /etc/default/couchpotato file by testing for file existence and source when available

added lines 39 - 45
2013-03-15 13:58:33 +01:00

77 lines
1.8 KiB
Bash

#! /bin/sh
### BEGIN INIT INFO
# Provides: couchpotato
# Required-Start: $local_fs $network $remote_fs
# Required-Stop: $local_fs $network $remote_fs
# Should-Start: $NetworkManager
# Should-Stop: $NetworkManager
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: starts instance of CouchPotato
# Description: starts instance of CouchPotato using start-stop-daemon
### END INIT INFO
############### EDIT ME ##################
# path to app
APP_PATH=/usr/local/sbin/CouchPotatoServer/
# user
RUN_AS=YOUR_USERNAME_HERE
# path to python bin
DAEMON=/usr/bin/python
# Path to store PID file
PID_FILE=/var/run/couchpotato.pid
# script name
NAME=couchpotato
# app name
DESC=CouchPotato
# startup args
DAEMON_OPTS=" CouchPotato.py --daemon --pid_file=${PID_FILE}"
############### END EDIT ME ##################
# Check for existance of defaults file
# and utilze if available
if [ -e "/etc/default/couchpotato" ]
then
unset DAEMON_OPTS
. /etc/default/couchpotato
fi
test -x $DAEMON || exit 0
set -e
case "$1" in
start)
echo "Starting $DESC"
rm -rf $PID_FILE || return 1
touch $PID_FILE
chown $RUN_AS $PID_FILE
start-stop-daemon -d $APP_PATH -c $RUN_AS --start --background --pidfile $PID_FILE --exec $DAEMON -- $DAEMON_OPTS
;;
stop)
echo "Stopping $DESC"
start-stop-daemon --stop --pidfile $PID_FILE --retry 15
;;
restart|force-reload)
echo "Restarting $DESC"
start-stop-daemon --stop --pidfile $PID_FILE --retry 15
start-stop-daemon -d $APP_PATH -c $RUN_AS --start --background --pidfile $PID_FILE --exec $DAEMON -- $DAEMON_OPTS
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 1
;;
esac
exit 0